searchNodes=[{"doc":"Documentation for HumanName.","ref":"HumanName.html","title":"HumanName","type":"module"},{"doc":"Returns the initial for the first (given) name. Example iex&gt; HumanName . first_initial ( &quot;Jimmy H Jenkins&quot; ) { :ok , &quot;J&quot; } iex&gt; HumanName . first_initial ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;A&quot; } iex&gt; HumanName . first_initial ( 12345 ) { :error , &quot;No valid name found&quot; } iex&gt; HumanName . first_initial ( &quot;&quot; ) { :error , &quot;No valid name found&quot; } iex&gt; HumanName . first_initial ( nil ) { :error , &quot;No valid name found&quot; }","ref":"HumanName.html#first_initial/1","title":"HumanName.first_initial/1","type":"function"},{"doc":"Returns the initial for the first (given) name and the full last name (surname). Example iex&gt; HumanName . first_initial_last ( &quot;Jimmy H Jenkins&quot; ) { :ok , &quot;J. Jenkins&quot; } iex&gt; HumanName . first_initial_last ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;A. Juniper&quot; } iex&gt; HumanName . first_initial_last ( &quot;&quot; ) { :error , &quot;No valid name found&quot; }","ref":"HumanName.html#first_initial_last/1","title":"HumanName.first_initial_last/1","type":"function"},{"doc":"Returns just the formatted first (given) name. Example iex&gt; HumanName . first_name ( &quot;Jimmy H Jenkins&quot; ) { :ok , &quot;Jimmy&quot; } iex&gt; HumanName . first_name ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;Alibaster&quot; } iex&gt; HumanName . first_name ( &quot;&quot; ) { :error , &quot;No valid name found&quot; }","ref":"HumanName.html#first_name/1","title":"HumanName.first_name/1","type":"function"},{"doc":"Returns the combined initials for the first (given) name and last (surname) name. Example iex&gt; HumanName . initials ( &quot;Jimmy H Jenkins&quot; ) { :ok , &quot;JJ&quot; } iex&gt; HumanName . initials ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;AJ&quot; } iex&gt; HumanName . initials ( &quot;&quot; ) { :error , &quot;No valid name found&quot; }","ref":"HumanName.html#initials/1","title":"HumanName.initials/1","type":"function"},{"doc":"Returns just the formatted last name (surname). Example iex&gt; HumanName . last_name ( &quot;Jimmy H Jenkins&quot; ) { :ok , &quot;Jenkins&quot; } iex&gt; HumanName . last_name ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;Juniper&quot; } iex&gt; HumanName . last_name ( &quot;&quot; ) { :error , &quot;No valid name found&quot; }","ref":"HumanName.html#last_name/1","title":"HumanName.last_name/1","type":"function"},{"doc":"Returns a formatted version of just the first (given) and last (surname) names. Example iex&gt; HumanName . normalize ( &quot;Jimmy H Jenkins&quot; ) { :ok , &quot;Jimmy Jenkins&quot; } iex&gt; HumanName . normalize ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;Alibaster Juniper&quot; } iex&gt; HumanName . normalize ( &quot;fred mccalister &quot; ) { :ok , &quot;Fred McCalister&quot; } iex&gt; HumanName . normalize ( &quot;&quot; ) { :error , &quot;No valid name found&quot; }","ref":"HumanName.html#normalize/1","title":"HumanName.normalize/1","type":"function"},{"doc":"Returns a formatted version of the entire name. Example iex&gt; HumanName . normalize_full ( &quot;JIMMY H JENKINS&quot; ) { :ok , &quot;Jimmy H. Jenkins&quot; } iex&gt; HumanName . normalize_full ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;Alibaster Cornelius Juniper, III&quot; } iex&gt; HumanName . normalize_full ( &quot;&quot; ) { :error , &quot;No valid name found&quot; }","ref":"HumanName.html#normalize_full/1","title":"HumanName.normalize_full/1","type":"function"},{"doc":"HumanName Elixir bindings for the human-name crate implemented as a safe Rust NIF.","ref":"readme.html","title":"HumanName","type":"extras"},{"doc":"Be sure to install Rust . This package can be installed by adding human_name to your list of dependencies in mix.exs : def deps do [ { :human_name , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation","title":"HumanName - Installation","type":"extras"},{"doc":"iex&gt; HumanName . first_name ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;Alibaster&quot; } iex&gt; HumanName . initials ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;AJ&quot; } iex&gt; HumanName . last_name ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;Juniper&quot; } iex&gt; HumanName . normalize ( &quot;Dr. Alibaster Cornelius Juniper III&quot; ) { :ok , &quot;Alibaster Juniper&quot; } iex&gt; HumanName . normalize_full ( &quot;JIMMY H JENKINS&quot; ) { :ok , &quot;Jimmy H. Jenkins&quot; }","ref":"readme.html#usage","title":"HumanName - Usage","type":"extras"},{"doc":"MIT License See the license file for details.","ref":"readme.html#license","title":"HumanName - License","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Initial release","ref":"changelog.html#v0-1-0-2021-09-18","title":"Changelog - v0.1.0 (2021-09-18)","type":"extras"},{"doc":"MIT License Copyright (c) 2021 Adam Mokan Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]